- Home
- API Enriched
- Tenant And Identity
- web
- ListInactiveUsers.
ListInactiveUsers.
GET
/api/web/namespaces/system/tenant/idm/users/inactive
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/users/inactive';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/users/inactive \ --header 'Authorization: <Authorization>'Returns list of users for which no login events was found for last 90 days of time. It consider all users within current tenant.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”A successful response.
Media typeapplication/json
User list
Collection of users.
object
users
Users
Collection of users.
Array<object>
UserLogin user representation. Currently users are identified by their email.
object
email
email
User’s email.
string format: email
Examplegenerated
{ "users": [ { "email": "hello@example.com" } ]}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example